import * as fs from 'fs'
import { join } from 'path'
import * as chalk from 'chalk'

const path = join(process.env.HOMEPATH, '.siscon-cli.json')

if (!fs.existsSync(path)) writeDefaultConfigFile()

function writeDefaultConfigFile () {
  fs.writeFileSync(path, JSON.stringify(require('./default.json'), null, 2))
}

export default function getConfigFile (): ConfigFile {
  return JSON.parse(fs.readFileSync(path, {encoding: 'utf8'}))
}

export type ConfigFile = {
  service: {url: string, system: string | number, server: string, port: string | number}
}
